<?php

namespace App\Console;

use App\Models\Notification;
use App\Models\OrderDevice;
use Carbon\Carbon;
use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        //
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        $schedule->call(function () {
            $yesterday = Carbon::yesterday()->toDateString();
            $order_ids = OrderDevice::where('end_date', $yesterday)->pluck('order_id')->unique();
            foreach($order_ids as $order_id) {
                Notification::send($order_id, true);
            }
        })->dailyAt('01:00');
        // $schedule->command('inspire')
        //          ->hourly();
    }

    /**
     * Register the Closure based commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        require base_path('routes/console.php');
    }
}
